POST
Create Workflow From Template

Authorizations

Authorization
string
header
required

Interactive user session: the login JWT, sent as Authorization: Bearer <token>.

Body

application/json
call_type
enum<string>
required
Available options:
inbound,
outbound
use_case
string
required
activity_description
string
required

Response

Successful Response

id
integer
required
name
string
required
status
string
required
created_at
string<date-time>
required
workflow_definition
Workflow Definition ┬╖ object
required
current_definition_id
integer | null
required
template_context_variables
Template Context Variables ┬╖ object | null
call_disposition_codes
CallDispositionCodes ┬╖ object | null
total_runs
integer | null
workflow_configurations
Workflow Configurations ┬╖ object | null
version_number
integer | null
version_status
string | null
workflow_uuid
string | null
agent_kind
enum<string>
default:conversation_flow
Available options:
single_prompt,
conversation_flow